Bug 508125 - make testiso creates wrong link to linker in initrd.img
make testiso creates wrong link to linker in initrd.img
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
12
i586 Linux
low Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-25 13:48 EDT by Jacek Danecki
Modified: 2010-02-23 14:07 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-23 14:07:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log from build (131.69 KB, text/plain)
2009-06-30 11:18 EDT, Jacek Danecki
no flags Details

  None (edit)
Description Jacek Danecki 2009-06-25 13:48:36 EDT
Version-Release number of selected component (if applicable):
HEAD of master branch, SHA1 ID: 32c21dd71a459d25cd93059986e2e8215c920e38

How reproducible:

DESTDIR=/tmp/anaconda_test
REPO=file:///f11/repo_build
all:
        rm -rf  $(DESTDIR)
        make -C anaconda clean
        make -C anaconda
        make -C anaconda --debug DESTDIR=$(DESTDIR) REPO=$(REPO) testiso

mkdir tmp
mkdir initrd
mount -o loop anaconda/boot.iso tmp
cd initrd
zcat ../tmp/isolinux/initrd.img | cpio -id

Actual results:
ls -l lib/ld-linux.so.2 
lrwxrwxrwx 1 root root 13 2009-06-25 19:30 lib/ld-linux.so.2 -> ld-linux.so.2


Expected results:
ls -l lib/ld-linux.so.2 
lrwxrwxrwx 1 root root 12 2009-06-25 19:49 lib/ld-linux.so.2 -> ld-2.10.1.so
Comment 1 Bill Nottingham 2009-06-29 15:34:39 EDT
Do you get errors on the tree build?
Comment 2 Jacek Danecki 2009-06-30 06:07:12 EDT
I've used cloned anaconda repository: HEAD of master branch, SHA1 ID: 32c21dd71a459d25cd93059986e2e8215c920e38
and snapshot of packages taken 23.06 from http://download.fedora.redhat.com/pub/fedora/linux/development/i386/os/repodata
Comment 3 Bill Nottingham 2009-06-30 09:49:36 EDT
Right, what I'm asking is what the logs from the tree build say.
Comment 4 Jacek Danecki 2009-06-30 11:18:46 EDT
Created attachment 349962 [details]
Log from build
Comment 5 Chris Lumens 2009-07-09 15:57:51 EDT
I did a "make testiso" on x86-64 just the other day and definitely didn't see all those errors you are getting in the log file.  Is this i386-only, or have we somehow managed to fix it?
Comment 6 Jacek Danecki 2009-07-10 06:40:14 EDT
I'm testing on i386. I've tested yestarday on the latest snapshot of anaconda tree (commit 612ec7a3417680fed659e8e7bc216b2870bd1488) and problem still exists.
Comment 7 Joel Andres Granados 2009-09-03 08:53:28 EDT
(In reply to comment #6)
> I'm testing on i386. I've tested yestarday on the latest snapshot of anaconda
> tree (commit 612ec7a3417680fed659e8e7bc216b2870bd1488) and problem still
> exists.  

I've also successfully run the `make testiso` target.  What distribution are you using to build?
Comment 8 Jacek Danecki 2009-09-04 04:10:05 EDT
I'm using Fedora rawhide repository
Comment 9 Joel Andres Granados 2009-09-08 09:56:38 EDT
(In reply to comment #8)
> I'm using Fedora rawhide repository  
I was not referring to the repository, I meant the fedora distribution that you have installed in the box that you are using to build the isotest target.
Comment 10 Jacek Danecki 2009-09-10 09:50:55 EDT
I'm using rawhide repository on build host. This repository is being updated from time to time when I need newer tools to compile anaconda or build isotest target.
Comment 11 Chris Lumens 2009-09-21 09:55:50 EDT
This should be fixed in the next build of anaconda.
Comment 12 Bug Zapper 2009-11-16 05:27:27 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.